Summary:        RRDtool-based mail graphing tool
Name:           mailgraph
Version:        1.11
Release:        1%{?dist}
License:        GPL
Group:          Applications/System
Source:         http://people.ee.ethz.ch/~dws/software/mailgraph/pub/mailgraph-%{version}.tar.gz
Source1:        mailgraph.httpd-conf
Patch:          mailgraph.patch
URL:            http://people.ee.ethz.ch/~dws/software/mailgraph/  
Buildroot:      %{_tmppath}/%{name}-root
Requires:       perl(File::Tail)

%description

Mailgraph is a very simple mail statistics RRDtool frontend for Postfix
and Sendmail that produces daily, weekly, monthly and yearly graphs of
received/sent and bounced/rejected mail.

%prep
%setup -q
%patch

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_localstatedir}/lib/%{name}/rrd/
%{__install} -d %{buildroot}%{_localstatedir}/lib/%{name}/img/
%{__install} -d %{buildroot}%{_libdir}/%{name}/cgi/
%{__install} -d %{buildroot}%{_sysconfdir}/rc.d/init.d/
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig/
%{__install} -d %{buildroot}%{_sysconfdir}/httpd/conf.d/

%{__install} mailgraph.pl %{buildroot}%{_libdir}/%{name}/
%{__install} mailgraph.cgi %{buildroot}%{_libdir}/%{name}/cgi/
%{__install} mailgraph-init %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
%{__install} mailgraph.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/mailgraph.conf.example

%clean
%{__rm} -rf %{buildroot}

%preun
/sbin/chkconfig --del %{name}

%post
/sbin/chkconfig --add %{name}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README

%{_libdir}/%{name}/
%{_localstatedir}/lib/%{name}/rrd/
%attr(755,httpd,httpd) %{_localstatedir}/lib/%{name}/img/
%{_sysconfdir}/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*


%changelog
* Wed Mar 01 2006 Karanbir Singh <kbsingh@karan.org> - 1.11-1.el4.kb
- import and build for CentOS4

* Fri Jul 29 2005 Wil Cooley <wcooley@nakedape.cc> - 1.11-1.0
- Initial package creation

